Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.resolver
Class ResolverHelper

    java.lang.Object
      fr.jayasoft.ivy.resolver.ResolverHelper

public class ResolverHelper
extends java.lang.Object

Constructor Summary
`ResolverHelper()`

Method Summary
`static ResolvedResource[]` | `findAll(Repository rep, ModuleRevisionId mrid, java.lang.String pattern, java.lang.String artifact, java.lang.String type, java.lang.String ext)`
`static ResolvedURL[]` | `findAll(URLLister lister, ModuleRevisionId mrid, java.lang.String pattern, java.lang.String artifact, java.lang.String type, java.lang.String ext)`
`static java.lang.String[]` | `listAll(Repository rep, java.lang.String parent)`
`static java.lang.String[]` | `listAll(URLLister lister, java.net.URL root)`
`static java.lang.String[]` | `listTokenValues(Repository rep, java.lang.String pattern, java.lang.String token)`
`static java.lang.String[]` | `listTokenValues(URLLister lister, java.lang.String pattern, java.lang.String token)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResolverHelper

    public ResolverHelper()

Method Detail

### listTokenValues

    public static java.lang.String[] listTokenValues(Repository rep,
                                                     java.lang.String pattern,
                                                     java.lang.String token)

### listAll

    public static java.lang.String[] listAll(Repository rep,
                                             java.lang.String parent)

### findAll

    public static ResolvedResource[] findAll(Repository rep,
                                             ModuleRevisionId mrid,
                                             java.lang.String pattern,
                                             java.lang.String artifact,
                                             java.lang.String type,
                                             java.lang.String ext)

### listTokenValues

    public static java.lang.String[] listTokenValues(URLLister lister,
                                                     java.lang.String pattern,
                                                     java.lang.String token)

### findAll

    public static ResolvedURL[] findAll(URLLister lister,
                                        ModuleRevisionId mrid,
                                        java.lang.String pattern,
                                        java.lang.String artifact,
                                        java.lang.String type,
                                        java.lang.String ext)

### listAll

    public static java.lang.String[] listAll(URLLister lister,
                                             java.net.URL root)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD